Create a flash card request
curl --request POST \
--url https://thirdparty.qonto.com/v2/requests/flash_cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_flash_card": {
"note": "Library subscription",
"payment_lifespan_limit": "250.00",
"pre_expires_at": "2022-03-15T22:59:59.999Z"
}
}
'import requests
url = "https://thirdparty.qonto.com/v2/requests/flash_cards"
payload = { "request_flash_card": {
"note": "Library subscription",
"payment_lifespan_limit": "250.00",
"pre_expires_at": "2022-03-15T22:59:59.999Z"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_flash_card: {
note: 'Library subscription',
payment_lifespan_limit: '250.00',
pre_expires_at: '2022-03-15T22:59:59.999Z'
}
})
};
fetch('https://thirdparty.qonto.com/v2/requests/flash_cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_flash_card": {
"id": "965b8c57-72fd-4d12-8d85-56874104c81a",
"request_type": "flash_card",
"status": "pending",
"initiator_id": "cc32875a-a590-44c7-bdc1-0680ae72b0db",
"approver_id": "<string>",
"note": "Library subscription",
"declined_note": "<string>",
"payment_lifespan_limit": "250.00",
"pre_expires_at": "2022-03-15T22:59:59.999Z",
"currency": "EUR",
"processed_at": "<string>",
"created_at": "2021-11-24T10:33:23.817Z"
}
}Requests
Create a flash card request
OAuth scope: request_cards.write
Creates a single flash card request that should be approved by a membership of the authenticated organization with permissions to review requests.
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.
POST
/
v2
/
requests
/
flash_cards
Create a flash card request
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
Show child attributes
Show child attributes
Response
Returns the request created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I